SearchByPackageIDImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class SearchByPackageIDImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.SearchCriteriaImpl
  - - tv.amwa.maj.union.impl.SearchByPackageIDImpl

- All Implemented Interfaces:
    Serializable, Cloneable, SearchByPackageID, SearchCriteria

      public class SearchByPackageIDImpl
      extends SearchCriteriaImpl
      implements SearchByPackageID, Serializable, Cloneable

  Implementation of a search criteria for matching packages defined by a package id.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchByPackageIDImpl(PackageID packageID)` Create a search criteria defined by a package id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchByPackageIDImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `PackageID` | `getPackageID()` Returns the package id of the search criteria.
    `int` | `hashCode()`
    `void` | `setPackageID(PackageID packageID)` Sets the package id of the search criteria.
    `String` | `toString()` Create a pseudo-XML representation of this search by package id criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.SearchCriteriaImpl

      `getSearchTag`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.SearchCriteria

      `getSearchTag`

- - ### Constructor Detail

    - #### SearchByPackageIDImpl

          public SearchByPackageIDImpl(PackageID packageID)
                                throws NullPointerException

      Create a search criteria defined by a package id.

      Parameters:
        `packageID` - Package id to search for.
      Throws:
        `NullPointerException` - The given package id is `null`.

  - ### Method Detail

    - #### getPackageID

          public PackageID getPackageID()

      Description copied from interface: `SearchByPackageID`

      Returns the package id of the search criteria.

      Specified by:
        `getPackageID` in interface `SearchByPackageID`
      Returns:
        Package id of the search criteria.

    - #### setPackageID

          public void setPackageID(PackageID packageID)
                            throws NullPointerException

      Description copied from interface: `SearchByPackageID`

      Sets the package id of the search criteria.

      Specified by:
        `setPackageID` in interface `SearchByPackageID`
      Parameters:
        `packageID` - Package id of the search criteria.
      Throws:
        `NullPointerException` - The given package id is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Create a pseudo-XML representation of this search by package id criteria. No XML schema or DTD defines this element. For example:

           <SearchByPackageID packageID="urn:x-umid:0102030405060708090a0b0c-0d-0e0f10-1112131415161718191a1b1c1d1e1f20"/>

      Overrides:
        `toString` in class `Object`
      Returns:
        XML representation of this search by package id criteria.

    - #### clone

          public SearchByPackageIDImpl clone()
                                      throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.